
Redmine - Feature #6887

Upgrade to Rails 2.3.11

2010-11-13 19:10 - Jean-Philippe Lang

Status: Closed Start date: 2010-11-13

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed   

Description

Related issues:

Related to Redmine - Defect #6193: 500 error in Issues list Closed 2010-08-23

Related to Redmine - Defect #6218: Search feature is broken Closed 2010-08-25

Related to Redmine - Defect #6673: Error with links of users and projects Closed 2010-10-14

Related to Redmine - Defect #6495: Convert translations to the new format for... Closed 2010-09-26

Related to Redmine - Defect #7688: Redmine's trunk (rails 2.3.11) doesn't wor... Closed 2011-02-22

Related to Redmine - Defect #7843: Add a relation between issues = explicit l... Closed 2011-03-11

Blocks Redmine - Defect #7516: Redmine does not work with RubyGems 1.5.0 Closed 2011-02-02

Associated revisions

Revision 4405 - 2010-11-14 16:14 - Jean-Philippe Lang

Replaced SessionStore :session_key with :key (#6887).

Revision 4406 - 2010-11-14 17:24 - Jean-Philippe Lang

Use Object#tap instead of #returning (#6887).

Revision 4407 - 2010-11-14 17:45 - Jean-Philippe Lang

Adds leading slash to all assert_redirected_to arguments (#6887).

Revision 4904 - 2011-02-21 12:02 - Jean-Philippe Lang

Updgraded Rails to 2.3.11 (#6887).

History

#1 - 2010-11-13 19:10 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

#2 - 2010-11-14 00:24 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#3 - 2010-11-14 15:55 - Jean-Philippe Lang

After a few tests, moving to Rails 2.3.10 is pretty straightforward.

It breaks one test (MailHandlerTest#test_add_issue_with_japanese_keywords), because of the updated TMail (1.2.3 -> 1.2.7) vendor'd in

action_mailer. The fixture email doesn't get unquoted at all. I was able to fix it by disabling TMail::Unquoter.convert_to_with_fallback_on_iso_8859_1

that is added in 1.2.7.

It seems that deprecations introduced since Rails 2.3.5 can be easily fixed as well.

Locales will be changed to use %{key} instead of {{key}}. All pending translation patches need to be committed before.

#4 - 2010-11-14 19:29 - Jean-Baptiste Barth

Some of us closed issues related to Rails 2.3.8 (especially ActiveRecord 2.3.8 if I remember correctly). Maybe it would be a good idea to have a look

at them when the upgrade is done (#6193, #6218, #6673 at least).

2025-05-01 1/2

https://www.redmine.org/issues/6193
https://www.redmine.org/issues/6218
https://www.redmine.org/issues/6673


For the i18n upgrade, there's already an open ticket (#6495), pointing to my tiny note in #5608.

If I can help on specific points, let me know.

#5 - 2010-11-15 18:27 - Jean-Philippe Lang

Jean-Baptiste Barth wrote:

If I can help on specific points, let me know.

 It would be great if you could make sure that these errors do not occur with 2.3.10.

#6 - 2010-11-27 15:04 - Jean-Philippe Lang

- Target version changed from 1.1.0 to 1.2.0

It was decided to keep 1.1 using Rails 2.3.5.

#7 - 2011-02-11 11:14 - Etienne Massip

2.3.11 is out

#8 - 2011-02-21 12:05 - Jean-Philippe Lang

- Subject changed from Upgrade to Rails 2.3.10 to Upgrade to Rails 2.3.11

- Status changed from New to Closed

- Resolution set to Fixed

Upgraded to Rails 2.3.11 in r4904.

We still force i18n 0.4.2 to load before Rails to avoid further compatibility problems with future i18n releases and/or Redmine plugins that use the old

syntax.

#9 - 2011-02-22 10:04 - Etienne Massip

Note that Mongrel 1.1.5 does not work anymore with Rails 2.3.8 or later because of 2 bugs respectively in rack 1.1.x and Mongrel 1.1.5.

See ticket 4690 in Rails tracker and ticket 5 in Mongrel's.

Until Mongrel 1.2.0 is out, it is required to add a mongrel.rb initializer to config/initializers.

#10 - 2011-02-22 17:47 - Jean-Baptiste Barth

Weird. I opened a new defect for this, see #7688

edit: s/7668/7688/ sorry..

#11 - 2011-03-13 19:53 - Etienne Massip

- Category set to Rails support
